package com.gprinter.udp.wifi.chek;

import com.gprinter.udp.CommandUDP;
import com.gprinter.udp.Response;
import com.gprinter.utils.LogUtils;

/* loaded from: com_gprinter_udp_wifi_chek.jar:com/gprinter/udp/wifi/chek/WifiModeCommand.class */
public class WifiModeCommand extends CommandUDP {
    String TAG = WifiModeCommand.class.getSimpleName();

    public byte[] getCommand() {
        return "AT+WMODE\r".getBytes();
    }

    public Response resolveResponseData(long uuid, byte[] bytes) {
        if (bytes != null) {
            try {
                String response = new String(bytes);
                if (response.endsWith("\r\n")) {
                    response = response.split("\r\n")[0];
                }
                WifiModeResp wifiMode = new WifiModeResp();
                wifiMode.setMode(response.split("=")[1]);
                return wifiMode;
            } catch (Exception e) {
                e.printStackTrace();
                LogUtils.e(this.TAG, "resolve error" + e.getMessage());
                return null;
            }
        }
        return null;
    }
}
